package com.hw.ems.api.domain;


import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * CBS抄报对象 cbs_monitor_report
 *
 * @author YinQ
 * @date 2023-10-20
 */
public class CbsMonitorReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objId;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 计量设备类型（2-电，3-水） */
    @Excel(name = "计量设备类型", readConverterExp = "2=-电，3-水")
    private String monitorType;

    /** 表具类型（0-公共，1-单元，2-无） */
    @Excel(name = "表具类型", readConverterExp = "0=-公共，1-单元，2-无")
    private String publicShareType;

    /** CBS房间编号 */
    @Excel(name = "CBS房间编号")
    private String roomCode;

    /** CBS房间名称 */
    @Excel(name = "CBS房间名称")
    private String roomName;

    /** CBS物理编号 */
    @Excel(name = "CBS物理编号")
    private String physicalCode;

    /** 装表位置 */
    @Excel(name = "装表位置")
    private String loadingPosition;

    /** 对应CBS楼栋编号 */
    @Excel(name = "对应CBS楼栋编号")
    @JSONField(serialize = false)
    private String buildCode;

    /** 对应CBS楼栋名称 */
    @Excel(name = "对应CBS楼栋名称")
    private String buildName;

    /** 是否绑定 */
    @Excel(name = "是否绑定")
    private String isBind;

    /** 上次抄表时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上次抄表时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lastMonitorTime;

    /** 上次抄表读数 */
    @Excel(name = "上次抄表读数")
    private BigDecimal lastMonitorExpend;

    /** 本次抄表时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "本次抄表时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date thisMonitorTime;

    /** 本次抄表读数 */
    @Excel(name = "本次抄表读数")
    private BigDecimal thisMonitorExpend;

    /** 上次抄表成功标识（0-成功，1-失败） */
    @Excel(name = "上次抄表成功标识", readConverterExp = "0=-成功，1-失败")
    private String lastFlag;

    /** 本次抄表成功标识（0-成功，1-失败） */
    @Excel(name = "本次抄表成功标识", readConverterExp = "0=-成功，1-失败")
    private String thisFlag;

    public String getLoadingPosition() {
        return loadingPosition;
    }

    public void setLoadingPosition(String loadingPosition) {
        this.loadingPosition = loadingPosition;
    }

    public String getPhysicalCode() {
        return physicalCode;
    }

    public void setPhysicalCode(String physicalCode) {
        this.physicalCode = physicalCode;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName()
    {
        return monitorName;
    }
    public void setMonitorType(String monitorType)
    {
        this.monitorType = monitorType;
    }

    public String getMonitorType()
    {
        return monitorType;
    }
    public void setPublicShareType(String publicShareType)
    {
        this.publicShareType = publicShareType;
    }

    public String getPublicShareType()
    {
        return publicShareType;
    }
    public void setRoomCode(String roomCode)
    {
        this.roomCode = roomCode;
    }

    public String getRoomCode()
    {
        return roomCode;
    }
    public void setRoomName(String roomName)
    {
        this.roomName = roomName;
    }

    public String getRoomName()
    {
        return roomName;
    }
    public void setBuildCode(String buildCode)
    {
        this.buildCode = buildCode;
    }

    public String getBuildCode()
    {
        return buildCode;
    }
    public void setBuildName(String buildName)
    {
        this.buildName = buildName;
    }

    public String getBuildName()
    {
        return buildName;
    }
    public void setIsBind(String isBind)
    {
        this.isBind = isBind;
    }

    public String getIsBind()
    {
        return isBind;
    }
    public void setLastMonitorTime(Date lastMonitorTime)
    {
        this.lastMonitorTime = lastMonitorTime;
    }

    public Date getLastMonitorTime()
    {
        return lastMonitorTime;
    }
    public void setLastMonitorExpend(BigDecimal lastMonitorExpend)
    {
        this.lastMonitorExpend = lastMonitorExpend;
    }

    public BigDecimal getLastMonitorExpend()
    {
        return lastMonitorExpend;
    }
    public void setThisMonitorTime(Date thisMonitorTime)
    {
        this.thisMonitorTime = thisMonitorTime;
    }

    public Date getThisMonitorTime()
    {
        return thisMonitorTime;
    }
    public void setThisMonitorExpend(BigDecimal thisMonitorExpend)
    {
        this.thisMonitorExpend = thisMonitorExpend;
    }

    public BigDecimal getThisMonitorExpend()
    {
        return thisMonitorExpend;
    }
    public void setLastFlag(String lastFlag)
    {
        this.lastFlag = lastFlag;
    }

    public String getLastFlag()
    {
        return lastFlag;
    }
    public void setThisFlag(String thisFlag)
    {
        this.thisFlag = thisFlag;
    }

    public String getThisFlag()
    {
        return thisFlag;
    }


    @Override
    public String toString() {
        return "CbsMonitorReport{" +
                "objId=" + objId +
                ", monitorId='" + monitorId + '\'' +
                ", monitorName='" + monitorName + '\'' +
                ", monitorType='" + monitorType + '\'' +
                ", publicShareType='" + publicShareType + '\'' +
                ", roomCode='" + roomCode + '\'' +
                ", roomName='" + roomName + '\'' +
                ", physicalCode='" + physicalCode + '\'' +
                ", loadingPosition='" + loadingPosition + '\'' +
                ", buildCode='" + buildCode + '\'' +
                ", buildName='" + buildName + '\'' +
                ", isBind='" + isBind + '\'' +
                ", lastMonitorTime=" + lastMonitorTime +
                ", lastMonitorExpend=" + lastMonitorExpend +
                ", thisMonitorTime=" + thisMonitorTime +
                ", thisMonitorExpend=" + thisMonitorExpend +
                ", lastFlag='" + lastFlag + '\'' +
                ", thisFlag='" + thisFlag + '\'' +
                '}';
    }
}
